Package ru.bitel.bgbilling.kernel.module.common.event

# Class PermissionKitUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.module.common.event.PermissionKitUpdateEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class PermissionKitUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Изменение/удаление набора ограничений

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `PermissionKitUpdateEvent.EventType`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionKitUpdateEvent(int permissionKitId, int userId, PermissionKitUpdateEvent.EventType eventType)`
  `PermissionKitUpdateEvent(int permissionKitId, List<Integer> rolesWithKit, int userId, PermissionKitUpdateEvent.EventType eventType)`
  `PermissionKitUpdateEvent(int permissionKitId, PermissionKitUpdateEvent.EventType eventType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PermissionKitUpdateEvent.EventType`
  `getEventType()`
  `int`
  `getPermissionKitId()`
  `List<Integer>`
  `getRolesWithKit()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PermissionKitUpdateEvent

    public PermissionKitUpdateEvent(int permissionKitId, PermissionKitUpdateEvent.EventType eventType)

  - ### PermissionKitUpdateEvent

    public PermissionKitUpdateEvent(int permissionKitId, int userId, PermissionKitUpdateEvent.EventType eventType)

  - ### PermissionKitUpdateEvent

    public PermissionKitUpdateEvent(int permissionKitId, List<Integer> rolesWithKit, int userId, PermissionKitUpdateEvent.EventType eventType)

- ## Method Details

  - ### getPermissionKitId

    public int getPermissionKitId()

  - ### getRolesWithKit

    public List<Integer> getRolesWithKit()

  - ### getEventType

    public PermissionKitUpdateEvent.EventType getEventType()